Bug 1739543 - pygtk2 depends on Python 2
Summary: pygtk2 depends on Python 2
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: pygtk2
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1737933 F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-09 13:45 UTC by Lumír Balhar
Modified: 2019-11-27 19:11 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-09 13:45:55 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for pygtk2's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to pygtk2.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Gwyn Ciesla 2019-08-09 13:53:30 UTC
Still in wide use.

Comment 2 Ben Cotton 2019-08-13 16:58:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 17:15:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Lumír Balhar 2019-08-19 11:20:41 UTC
You are right. We can retire pygtk2 when it becomes a leaf package.

Comment 5 Petr Viktorin 2019-08-19 12:45:35 UTC
This package might need to stay on Python 2, so Gimp can be kept in Fedora.

Are you OK maintaining pygtk2 in Fedora 32, and in future Fedoras until Gimp stops needing it?

The OLPC/Sugar environment might be in a similar situation.

Comment 6 Gwyn Ciesla 2019-08-19 13:23:56 UTC
Yes.

Comment 7 Fedora Update System 2019-11-27 19:09:29 UTC
FEDORA-2019-36233d9369 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-36233d9369

Comment 8 Kalev Lember 2019-11-27 19:11:35 UTC
Sorry for the noise, I accidentally added wrong bug number to the bodhi update above.


Note You need to log in before you can comment on or make changes to this bug.